Home//
REST API Reference
/- Delete a content import source
List content import sources
Create a content import source
Retrieve a content import source
Update a content import source
List external pages
Create an external page (or update an external page by external ID)
Delete an external page
Retrieve an external page
Update an external page
Content Import Source
Content Import Sources
External Page
External Pages
Delete a content import s...
You can delete a content import source by making a DELETE request this endpoint. This will also delete all external pages that were imported from this source.
OAuth tokens must have the read_write_ai_content scope.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
- The production API serverhttps://api.intercom.io/ai/content_import_sources/{source_id}
- The european API serverhttps://api.eu.intercom.io/ai/content_import_sources/{source_id}
- The australian API serverhttps://api.au.intercom.io/ai/content_import_sources/{source_id}
curl -i -X DELETE \
'https://api.intercom.io/ai/content_import_sources/{source_id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'